%bcond_without check

%global goipath         github.com/afex/hystrix-go
%global commit          fa1af6a1f4f56e0e50d427fe901cd604d8c6fb8a

%gometa

%global common_description %{expand:
Hystrix is a latency and fault tolerance library designed to isolate points of
access to remote systems, services and 3rd party libraries, stop cascading
failure and enable resilience in complex distributed systems where failure is
inevitable.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Netflix's hystrix latency and fault tolerance library, for go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         0001-Make-compatible-with-statsd-5.0.0.patch

BuildRequires:  golang(github.com/cactus/go-statsd-client/statsd)
BuildRequires:  golang(github.com/DataDog/datadog-go/statsd)
BuildRequires:  golang(github.com/rcrowley/go-metrics)

%if %{with check}
BuildRequires:  golang(github.com/smartystreets/goconvey/convey)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
